@charset "utf-8";

.iwp-flow {
	width: min(700px, 100%);
	margin-right: auto;
	margin-left: auto;
}


.iwp-flow__inner {
	position: relative;
	display: flex;
	align-items: flex-start;
	gap: min(4vw, 24px);
	box-shadow: 0 0 8px hsl(0deg 0% 86.67% / 73%);
	border-radius: 20px;
	padding: clamp(16px, 1.5vw, 24px);
}

.iwp-flow__number {
	position: relative;
	display: grid;
	place-items: center;
	aspect-ratio: 1;
	width: 2.25em;
	border-radius: 50%;
	padding: .5em;
	background: var(--color-primary);
	color: #fff;
	font-size: 20px;
	font-weight: 600;
	line-height: 1;
}

@media (min-width: 769px) {
	.iwp-flow__number {
		font-size: 24px;
	}
}


.iwp-flow__body {
	flex: 1;
	padding-top: 8px;
	font-weight: 600;
}

.iwp-flow__desc {
	font-size: 16px;
	line-height: 1.6;
}

@media (min-width: 769px) {
	.iwp-flow__desc {
		font-size: 18px;
	}
}

.iwp-flow__figure {
	margin-top: 16px;
	border-radius: 20px;
	overflow: hidden;
}
